Bug 1348945 - perl image cannot work well behind the http_proxy
Summary: perl image cannot work well behind the http_proxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 3.2.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.2.1
Assignee: Ben Parees
QA Contact: Wang Haoran
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-22 11:29 UTC by Wang Haoran
Modified: 2016-09-27 09:38 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Update Perl image to support proxy configuration Reason: Previously the image could not access remote resources if the customer network required a proxy be used. Result: The perl image will now respect the HTTP_PROXY environment variable for configuring the proxy to use when requesting remote resources during the build process.
Clone Of:
: 1349222 1349224 (view as bug list)
Environment:
Last Closed: 2016-09-27 09:38:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Comment 1 Ben Parees 2016-06-22 14:27:01 UTC
separate bug for each image please.

Comment 2 Ben Parees 2016-06-22 16:22:33 UTC
Let's use this bug for the perl image and open new bugs for the eap and jws images.

For perl, the image will need to be updated to auto-configure CPAN to use a proxy.  CPAN configuration details are found here:
http://perldoc.perl.org/CPAN.html#CONFIGURATION

Comment 4 Martin Nagy 2016-07-19 12:06:16 UTC
It should be lowercase, so http_proxy, not HTTP_PROXY. Can you please test it with lowercase? I believe https_proxy and no_proxy could be in lowercase as well, but http_proxy must be in lowercase. From curl man page:

The environment variables can be specified in lower case or upper case. The lower case version has precedence. http_proxy is an exception as it is only available in lower case.

So, can you please test with lowercase and report the results?

Comment 5 Martin Nagy 2016-07-20 09:17:34 UTC
I have opened a pull request that translates HTTP_PROXY to http_proxy, that should also help: https://github.com/sclorg/s2i-perl-container/pull/95

Also, just an fyi, I've realized that curl was actually doing ok, since it used https, which is fine in uppercase. But cpanm did not use the uppercase version, it was the one that failed.

Comment 6 Ben Parees 2016-07-22 13:32:34 UTC
centos image has been updated, rhel will be updated when troy rebuilds.

Comment 7 Troy Dawson 2016-08-08 22:07:40 UTC
This has been merged and is in openshift3/perl-516-rhel7:5.16-43 or newer.

Comment 9 Dongbo Yan 2016-08-09 08:09:01 UTC
Verified
imageid:
openshift3/perl-516-rhel7        latest              bb6029bad868

this bug is fixed

Comment 12 errata-xmlrpc 2016-09-27 09:38:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.